Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.datagen
Interface DatagenPackage.Literals

Enclosing interface:
  DatagenPackage

    public static interface DatagenPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EEnum` | `CACHEABILITY_TYPES` The meta object literal for the '`Cacheability Types`' enum
`static org.eclipse.emf.ecore.EClass` | `CUSTOM_DELETER` The meta object literal for the '`Custom Deleter`' class
`static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_DELETER__FILTER_CLASS_FQN` The meta object literal for the 'Filter Class FQN' attribute feature
`static org.eclipse.emf.ecore.EClass` | `CUSTOM_FINDER` The meta object literal for the '`Custom Finder`' class
`static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_FINDER__CUSTOM_FROM` The meta object literal for the 'Custom From' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_FINDER__CUSTOM_SELECT` The meta object literal for the 'Custom Select' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_FINDER__FILTER_CLASS_FQN` The meta object literal for the 'Filter Class FQN' attribute feature
`static org.eclipse.emf.ecore.EReference` | `CUSTOM_FINDER__QUERY_DEFINITION` The meta object literal for the 'Query Definition' containment reference feature
`static org.eclipse.emf.ecore.EClass` | `CUSTOM_UPDATER` The meta object literal for the '`Custom Updater`' class
`static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_UPDATER__FILTER_CLASS_FQN` The meta object literal for the 'Filter Class FQN' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_UPDATER__VALUE_CLASS_FQN` The meta object literal for the 'Value Class FQN' attribute feature
`static org.eclipse.emf.ecore.EClass` | `DAO_PACKAGE` The meta object literal for the '`Dao Package`' class
`static org.eclipse.emf.ecore.EReference` | `DAO_PACKAGE__DAO` The meta object literal for the 'Dao' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` | `DAO_PACKAGE__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EClass` | `DATA_ACCESS_OBJECT` The meta object literal for the '`Data Access Object`' class
`static org.eclipse.emf.ecore.EAttribute` | `DATA_ACCESS_OBJECT__CACHE_TT_LMINUTES` The meta object literal for the 'Cache TT Lminutes' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `DATA_ACCESS_OBJECT__CACHEABILITY` The meta object literal for the 'Cacheability' attribute feature
`static org.eclipse.emf.ecore.EReference` | `DATA_ACCESS_OBJECT__DELETERS` The meta object literal for the 'Deleters' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `DATA_ACCESS_OBJECT__FINDERS` The meta object literal for the 'Finders' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `DATA_ACCESS_OBJECT__INSERTER` The meta object literal for the 'Inserter' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `DATA_ACCESS_OBJECT__LOOKUP_RESOLVERS` The meta object literal for the 'Lookup Resolvers' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `DATA_ACCESS_OBJECT__MAIN_TABLE` The meta object literal for the 'Main Table' reference feature
`static org.eclipse.emf.ecore.EAttribute` | `DATA_ACCESS_OBJECT__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EReference` | `DATA_ACCESS_OBJECT__PK_GENERATOR` The meta object literal for the 'Pk Generator' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `DATA_ACCESS_OBJECT__UPDATERS` The meta object literal for the 'Updaters' containment reference feature
`static org.eclipse.emf.ecore.EClass` | `DB_ACCESS_MODEL` The meta object literal for the '`DB Access Model`' class
`static org.eclipse.emf.ecore.EAttribute` | `DB_ACCESS_MODEL__COD_COMPONENTE` The meta object literal for the 'Cod Componente' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `DB_ACCESS_MODEL__COD_PRODOTTO` The meta object literal for the 'Cod Prodotto' attribute feature
`static org.eclipse.emf.ecore.EReference` | `DB_ACCESS_MODEL__DAOPKGS` The meta object literal for the 'Daopkgs' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` | `DB_ACCESS_MODEL__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EReference` | `DB_ACCESS_MODEL__SCHEMA` The meta object literal for the 'Schema' reference feature
`static org.eclipse.emf.ecore.EClass` | `DB_COMMAND` The meta object literal for the '`DB Command`' class
`static org.eclipse.emf.ecore.EAttribute` | `DB_COMMAND__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EClass` | `DELETE_BY_PK` The meta object literal for the '`Delete By PK`' class
`static org.eclipse.emf.ecore.EClass` | `DELETER` The meta object literal for the '`Deleter`' class
`static org.eclipse.emf.ecore.EClass` | `DELETERS` The meta object literal for the '`Deleters`' class
`static org.eclipse.emf.ecore.EReference` | `DELETERS__DELETERS` The meta object literal for the 'Deleters' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `FIND_ALL` The meta object literal for the '`Find All`' class
`static org.eclipse.emf.ecore.EClass` | `FIND_BY_PK` The meta object literal for the '`Find By PK`' class
`static org.eclipse.emf.ecore.EClass` | `FINDER` The meta object literal for the '`Finder`' class
`static org.eclipse.emf.ecore.EClass` | `FINDERS` The meta object literal for the '`Finders`' class
`static org.eclipse.emf.ecore.EReference` | `FINDERS__FINDERS` The meta object literal for the 'Finders' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `FROM_CLAUSE` The meta object literal for the '`From Clause`' class
`static org.eclipse.emf.ecore.EReference` | `FROM_CLAUSE__TABLES` The meta object literal for the 'Tables' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `INSERTER` The meta object literal for the '`Inserter`' class
`static org.eclipse.emf.ecore.EClass` | `JOIN_CLAUSE` The meta object literal for the '`Join Clause`' class
`static org.eclipse.emf.ecore.EReference` | `JOIN_CLAUSE__CRITERIA` The meta object literal for the 'Criteria' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `JOIN_CRITERION` The meta object literal for the '`Join Criterion`' class
`static org.eclipse.emf.ecore.EReference` | `JOIN_CRITERION__LEFT_COLUMN` The meta object literal for the 'Left Column' reference feature
`static org.eclipse.emf.ecore.EReference` | `JOIN_CRITERION__LEFT_TABLE` The meta object literal for the 'Left Table' reference feature
`static org.eclipse.emf.ecore.EReference` | `JOIN_CRITERION__RIGHT_COLUMN` The meta object literal for the 'Right Column' reference feature
`static org.eclipse.emf.ecore.EReference` | `JOIN_CRITERION__RIGHT_TABLE` The meta object literal for the 'Right Table' reference feature
`static org.eclipse.emf.ecore.EClass` | `LOOKUP_RESOLVER` The meta object literal for the '`Lookup Resolver`' class
`static org.eclipse.emf.ecore.EReference` | `LOOKUP_RESOLVER__FOREIGN_KEY` The meta object literal for the 'Foreign Key' reference feature
`static org.eclipse.emf.ecore.EAttribute` | `LOOKUP_RESOLVER__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EReference` | `LOOKUP_RESOLVER__SUPPLIER_DAO` The meta object literal for the 'Supplier DAO' reference feature
`static org.eclipse.emf.ecore.EClass` | `LOOKUP_RESOLVERS` The meta object literal for the '`Lookup Resolvers`' class
`static org.eclipse.emf.ecore.EReference` | `LOOKUP_RESOLVERS__RESOLVERS` The meta object literal for the 'Resolvers' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `MULTI_RES_FINDER` The meta object literal for the '`Multi Res Finder`' class
`static org.eclipse.emf.ecore.EReference` | `MULTI_RES_FINDER__DISTINCT` The meta object literal for the 'Distinct' reference list feature
`static org.eclipse.emf.ecore.EReference` | `MULTI_RES_FINDER__ORDER_SPECS` The meta object literal for the 'Order Specs' containment reference feature
`static org.eclipse.emf.ecore.EClass` | `ORDER_SPEC` The meta object literal for the '`Order Spec`' class
`static org.eclipse.emf.ecore.EAttribute` | `ORDER_SPEC__ASCENDING` The meta object literal for the 'Ascending' attribute feature
`static org.eclipse.emf.ecore.EReference` | `ORDER_SPEC__COLUMN` The meta object literal for the 'Column' reference feature
`static org.eclipse.emf.ecore.EReference` | `ORDER_SPEC__QCOLUMN` The meta object literal for the 'Qcolumn' reference feature
`static org.eclipse.emf.ecore.EClass` | `ORDER_SPECS` The meta object literal for the '`Order Specs`' class
`static org.eclipse.emf.ecore.EReference` | `ORDER_SPECS__SPECS` The meta object literal for the 'Specs' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `PK_GENERATOR` The meta object literal for the '`PK Generator`' class
`static org.eclipse.emf.ecore.EClass` | `QBE_FINDER` The meta object literal for the '`QBE Finder`' class
`static org.eclipse.emf.ecore.EClass` | `QCALCULATED_COLUMN` The meta object literal for the '`QCalculated Column`' class
`static org.eclipse.emf.ecore.EReference` | `QCALCULATED_COLUMN__CALCULATED_TYPE` The meta object literal for the 'Calculated Type' containment reference feature
`static org.eclipse.emf.ecore.EAttribute` | `QCALCULATED_COLUMN__FREE_TEXT_EXPRESSION` The meta object literal for the 'Free Text Expression' attribute feature
`static org.eclipse.emf.ecore.EReference` | `QCALCULATED_COLUMN__REFERENCED_COLUMNS` The meta object literal for the 'Referenced Columns' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `QRESULT_COLUMN` The meta object literal for the '`QResult Column`' class
`static org.eclipse.emf.ecore.EAttribute` | `QRESULT_COLUMN__ALIAS` The meta object literal for the 'Alias' attribute feature
`static org.eclipse.emf.ecore.EClass` | `QTABLE` The meta object literal for the '`QTable`' class
`static org.eclipse.emf.ecore.EAttribute` | `QTABLE__ALIAS_NAME` The meta object literal for the 'Alias Name' attribute feature
`static org.eclipse.emf.ecore.EReference` | `QTABLE__TABLE` The meta object literal for the 'Table' reference feature
`static org.eclipse.emf.ecore.EClass` | `QTABLE_COLUMN` The meta object literal for the '`QTable Column`' class
`static org.eclipse.emf.ecore.EReference` | `QTABLE_COLUMN__COLUMN` The meta object literal for the 'Column' reference feature
`static org.eclipse.emf.ecore.EReference` | `QTABLE_COLUMN__QTABLE` The meta object literal for the 'Qtable' reference feature
`static org.eclipse.emf.ecore.EClass` | `QUERY_DEF` The meta object literal for the '`Query Def`' class
`static org.eclipse.emf.ecore.EReference` | `QUERY_DEF__FROM_CLAUSE` The meta object literal for the 'From Clause' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `QUERY_DEF__JOIN_CLAUSE` The meta object literal for the 'Join Clause' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `QUERY_DEF__SELECT_CLAUSE` The meta object literal for the 'Select Clause' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `QUERY_DEF__WHERE_CLAUSE` The meta object literal for the 'Where Clause' containment reference feature
`static org.eclipse.emf.ecore.EClass` | `SELECT_CLAUSE` The meta object literal for the '`Select Clause`' class
`static org.eclipse.emf.ecore.EReference` | `SELECT_CLAUSE__COLUMNS` The meta object literal for the 'Columns' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `SEQUENCE_PK_GENERATOR` The meta object literal for the '`Sequence PK Generator`' class
`static org.eclipse.emf.ecore.EAttribute` | `SEQUENCE_PK_GENERATOR__SEQUENCE_NAME` The meta object literal for the 'Sequence Name' attribute feature
`static org.eclipse.emf.ecore.EClass` | `SINGLE_RES_FINDER` The meta object literal for the '`Single Res Finder`' class
`static org.eclipse.emf.ecore.EClass` | `UPDATE_COLUMNS` The meta object literal for the '`Update Columns`' class
`static org.eclipse.emf.ecore.EReference` | `UPDATE_COLUMNS__COLUMNS` The meta object literal for the 'Columns' reference list feature
`static org.eclipse.emf.ecore.EClass` | `UPDATE_ROW` The meta object literal for the '`Update Row`' class
`static org.eclipse.emf.ecore.EClass` | `UPDATER` The meta object literal for the '`Updater`' class
`static org.eclipse.emf.ecore.EClass` | `UPDATERS` The meta object literal for the '`Updaters`' class
`static org.eclipse.emf.ecore.EReference` | `UPDATERS__UPDATERS` The meta object literal for the 'Updaters' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `WHERE_CLAUSE` The meta object literal for the '`Where Clause`' class
`static org.eclipse.emf.ecore.EAttribute` | `WHERE_CLAUSE__FREETEXT_EXPRESSION` The meta object literal for the 'Freetext Expression' attribute feature

Field Detail

### DB_ACCESS_MODEL

    static final org.eclipse.emf.ecore.EClass DB_ACCESS_MODEL

  The meta object literal for the '`DB Access Model`' class.

  See Also:
    `DBAccessModelImpl`, `DatagenPackageImpl.getDBAccessModel()`

### DB_ACCESS_MODEL__SCHEMA

    static final org.eclipse.emf.ecore.EReference DB_ACCESS_MODEL__SCHEMA

  The meta object literal for the 'Schema' reference feature.

### DB_ACCESS_MODEL__DAOPKGS

    static final org.eclipse.emf.ecore.EReference DB_ACCESS_MODEL__DAOPKGS

  The meta object literal for the 'Daopkgs' containment reference list feature.

### DB_ACCESS_MODEL__COD_PRODOTTO

    static final org.eclipse.emf.ecore.EAttribute DB_ACCESS_MODEL__COD_PRODOTTO

  The meta object literal for the 'Cod Prodotto' attribute feature.

### DB_ACCESS_MODEL__COD_COMPONENTE

    static final org.eclipse.emf.ecore.EAttribute DB_ACCESS_MODEL__COD_COMPONENTE

  The meta object literal for the 'Cod Componente' attribute feature.

### DB_ACCESS_MODEL__NAME

    static final org.eclipse.emf.ecore.EAttribute DB_ACCESS_MODEL__NAME

  The meta object literal for the 'Name' attribute feature.

### DATA_ACCESS_OBJECT

    static final org.eclipse.emf.ecore.EClass DATA_ACCESS_OBJECT

  The meta object literal for the '`Data Access Object`' class.

  See Also:
    `DataAccessObjectImpl`, `DatagenPackageImpl.getDataAccessObject()`

### DATA_ACCESS_OBJECT__NAME

    static final org.eclipse.emf.ecore.EAttribute DATA_ACCESS_OBJECT__NAME

  The meta object literal for the 'Name' attribute feature.

### DATA_ACCESS_OBJECT__MAIN_TABLE

    static final org.eclipse.emf.ecore.EReference DATA_ACCESS_OBJECT__MAIN_TABLE

  The meta object literal for the 'Main Table' reference feature.

### DATA_ACCESS_OBJECT__PK_GENERATOR

    static final org.eclipse.emf.ecore.EReference DATA_ACCESS_OBJECT__PK_GENERATOR

  The meta object literal for the 'Pk Generator' containment reference feature.

### DATA_ACCESS_OBJECT__INSERTER

    static final org.eclipse.emf.ecore.EReference DATA_ACCESS_OBJECT__INSERTER

  The meta object literal for the 'Inserter' containment reference feature.

### DATA_ACCESS_OBJECT__FINDERS

    static final org.eclipse.emf.ecore.EReference DATA_ACCESS_OBJECT__FINDERS

  The meta object literal for the 'Finders' containment reference feature.

### DATA_ACCESS_OBJECT__UPDATERS

    static final org.eclipse.emf.ecore.EReference DATA_ACCESS_OBJECT__UPDATERS

  The meta object literal for the 'Updaters' containment reference feature.

### DATA_ACCESS_OBJECT__DELETERS

    static final org.eclipse.emf.ecore.EReference DATA_ACCESS_OBJECT__DELETERS

  The meta object literal for the 'Deleters' containment reference feature.

### DATA_ACCESS_OBJECT__CACHEABILITY

    static final org.eclipse.emf.ecore.EAttribute DATA_ACCESS_OBJECT__CACHEABILITY

  The meta object literal for the 'Cacheability' attribute feature.

### DATA_ACCESS_OBJECT__CACHE_TT_LMINUTES

    static final org.eclipse.emf.ecore.EAttribute DATA_ACCESS_OBJECT__CACHE_TT_LMINUTES

  The meta object literal for the 'Cache TT Lminutes' attribute feature.

### DATA_ACCESS_OBJECT__LOOKUP_RESOLVERS

    static final org.eclipse.emf.ecore.EReference DATA_ACCESS_OBJECT__LOOKUP_RESOLVERS

  The meta object literal for the 'Lookup Resolvers' containment reference feature.

### DAO_PACKAGE

    static final org.eclipse.emf.ecore.EClass DAO_PACKAGE

  The meta object literal for the '`Dao Package`' class.

  See Also:
    `DaoPackageImpl`, `DatagenPackageImpl.getDaoPackage()`

### DAO_PACKAGE__NAME

    static final org.eclipse.emf.ecore.EAttribute DAO_PACKAGE__NAME

  The meta object literal for the 'Name' attribute feature.

### DAO_PACKAGE__DAO

    static final org.eclipse.emf.ecore.EReference DAO_PACKAGE__DAO

  The meta object literal for the 'Dao' containment reference list feature.

### PK_GENERATOR

    static final org.eclipse.emf.ecore.EClass PK_GENERATOR

  The meta object literal for the '`PK Generator`' class.

  See Also:
    `PKGeneratorImpl`, `DatagenPackageImpl.getPKGenerator()`

### SEQUENCE_PK_GENERATOR

    static final org.eclipse.emf.ecore.EClass SEQUENCE_PK_GENERATOR

  The meta object literal for the '`Sequence PK Generator`' class.

  See Also:
    `SequencePKGeneratorImpl`, `DatagenPackageImpl.getSequencePKGenerator()`

### SEQUENCE_PK_GENERATOR__SEQUENCE_NAME

    static final org.eclipse.emf.ecore.EAttribute SEQUENCE_PK_GENERATOR__SEQUENCE_NAME

  The meta object literal for the 'Sequence Name' attribute feature.

### DB_COMMAND

    static final org.eclipse.emf.ecore.EClass DB_COMMAND

  The meta object literal for the '`DB Command`' class.

  See Also:
    `DBCommandImpl`, `DatagenPackageImpl.getDBCommand()`

### DB_COMMAND__NAME

    static final org.eclipse.emf.ecore.EAttribute DB_COMMAND__NAME

  The meta object literal for the 'Name' attribute feature.

### INSERTER

    static final org.eclipse.emf.ecore.EClass INSERTER

  The meta object literal for the '`Inserter`' class.

  See Also:
    `InserterImpl`, `DatagenPackageImpl.getInserter()`

### FINDER

    static final org.eclipse.emf.ecore.EClass FINDER

  The meta object literal for the '`Finder`' class.

  See Also:
    `FinderImpl`, `DatagenPackageImpl.getFinder()`

### SINGLE_RES_FINDER

    static final org.eclipse.emf.ecore.EClass SINGLE_RES_FINDER

  The meta object literal for the '`Single Res Finder`' class.

  See Also:
    `SingleResFinderImpl`, `DatagenPackageImpl.getSingleResFinder()`

### MULTI_RES_FINDER

    static final org.eclipse.emf.ecore.EClass MULTI_RES_FINDER

  The meta object literal for the '`Multi Res Finder`' class.

  See Also:
    `MultiResFinderImpl`, `DatagenPackageImpl.getMultiResFinder()`

### MULTI_RES_FINDER__DISTINCT

    static final org.eclipse.emf.ecore.EReference MULTI_RES_FINDER__DISTINCT

  The meta object literal for the 'Distinct' reference list feature.

### MULTI_RES_FINDER__ORDER_SPECS

    static final org.eclipse.emf.ecore.EReference MULTI_RES_FINDER__ORDER_SPECS

  The meta object literal for the 'Order Specs' containment reference feature.

### ORDER_SPEC

    static final org.eclipse.emf.ecore.EClass ORDER_SPEC

  The meta object literal for the '`Order Spec`' class.

  See Also:
    `OrderSpecImpl`, `DatagenPackageImpl.getOrderSpec()`

### ORDER_SPEC__COLUMN

    static final org.eclipse.emf.ecore.EReference ORDER_SPEC__COLUMN

  The meta object literal for the 'Column' reference feature.

### ORDER_SPEC__ASCENDING

    static final org.eclipse.emf.ecore.EAttribute ORDER_SPEC__ASCENDING

  The meta object literal for the 'Ascending' attribute feature.

### ORDER_SPEC__QCOLUMN

    static final org.eclipse.emf.ecore.EReference ORDER_SPEC__QCOLUMN

  The meta object literal for the 'Qcolumn' reference feature.

### ORDER_SPECS

    static final org.eclipse.emf.ecore.EClass ORDER_SPECS

  The meta object literal for the '`Order Specs`' class.

  See Also:
    `OrderSpecsImpl`, `DatagenPackageImpl.getOrderSpecs()`

### ORDER_SPECS__SPECS

    static final org.eclipse.emf.ecore.EReference ORDER_SPECS__SPECS

  The meta object literal for the 'Specs' containment reference list feature.

### FIND_BY_PK

    static final org.eclipse.emf.ecore.EClass FIND_BY_PK

  The meta object literal for the '`Find By PK`' class.

  See Also:
    `FindByPKImpl`, `DatagenPackageImpl.getFindByPK()`

### FIND_ALL

    static final org.eclipse.emf.ecore.EClass FIND_ALL

  The meta object literal for the '`Find All`' class.

  See Also:
    `FindAllImpl`, `DatagenPackageImpl.getFindAll()`

### QBE_FINDER

    static final org.eclipse.emf.ecore.EClass QBE_FINDER

  The meta object literal for the '`QBE Finder`' class.

  See Also:
    `QBEFinderImpl`, `DatagenPackageImpl.getQBEFinder()`

### CUSTOM_FINDER

    static final org.eclipse.emf.ecore.EClass CUSTOM_FINDER

  The meta object literal for the '`Custom Finder`' class.

  See Also:
    `CustomFinderImpl`, `DatagenPackageImpl.getCustomFinder()`

### CUSTOM_FINDER__FILTER_CLASS_FQN

    static final org.eclipse.emf.ecore.EAttribute CUSTOM_FINDER__FILTER_CLASS_FQN

  The meta object literal for the 'Filter Class FQN' attribute feature.

### CUSTOM_FINDER__CUSTOM_SELECT

    static final org.eclipse.emf.ecore.EAttribute CUSTOM_FINDER__CUSTOM_SELECT

  The meta object literal for the 'Custom Select' attribute feature.

### CUSTOM_FINDER__CUSTOM_FROM

    static final org.eclipse.emf.ecore.EAttribute CUSTOM_FINDER__CUSTOM_FROM

  The meta object literal for the 'Custom From' attribute feature.

### CUSTOM_FINDER__QUERY_DEFINITION

    static final org.eclipse.emf.ecore.EReference CUSTOM_FINDER__QUERY_DEFINITION

  The meta object literal for the 'Query Definition' containment reference feature.

### UPDATERS

    static final org.eclipse.emf.ecore.EClass UPDATERS

  The meta object literal for the '`Updaters`' class.

  See Also:
    `UpdatersImpl`, `DatagenPackageImpl.getUpdaters()`

### UPDATERS__UPDATERS

    static final org.eclipse.emf.ecore.EReference UPDATERS__UPDATERS

  The meta object literal for the 'Updaters' containment reference list feature.

### UPDATER

    static final org.eclipse.emf.ecore.EClass UPDATER

  The meta object literal for the '`Updater`' class.

  See Also:
    `UpdaterImpl`, `DatagenPackageImpl.getUpdater()`

### UPDATE_ROW

    static final org.eclipse.emf.ecore.EClass UPDATE_ROW

  The meta object literal for the '`Update Row`' class.

  See Also:
    `UpdateRowImpl`, `DatagenPackageImpl.getUpdateRow()`

### UPDATE_COLUMNS

    static final org.eclipse.emf.ecore.EClass UPDATE_COLUMNS

  The meta object literal for the '`Update Columns`' class.

  See Also:
    `UpdateColumnsImpl`, `DatagenPackageImpl.getUpdateColumns()`

### UPDATE_COLUMNS__COLUMNS

    static final org.eclipse.emf.ecore.EReference UPDATE_COLUMNS__COLUMNS

  The meta object literal for the 'Columns' reference list feature.

### DELETERS

    static final org.eclipse.emf.ecore.EClass DELETERS

  The meta object literal for the '`Deleters`' class.

  See Also:
    `DeletersImpl`, `DatagenPackageImpl.getDeleters()`

### DELETERS__DELETERS

    static final org.eclipse.emf.ecore.EReference DELETERS__DELETERS

  The meta object literal for the 'Deleters' containment reference list feature.

### DELETER

    static final org.eclipse.emf.ecore.EClass DELETER

  The meta object literal for the '`Deleter`' class.

  See Also:
    `DeleterImpl`, `DatagenPackageImpl.getDeleter()`

### DELETE_BY_PK

    static final org.eclipse.emf.ecore.EClass DELETE_BY_PK

  The meta object literal for the '`Delete By PK`' class.

  See Also:
    `DeleteByPKImpl`, `DatagenPackageImpl.getDeleteByPK()`

### CUSTOM_UPDATER

    static final org.eclipse.emf.ecore.EClass CUSTOM_UPDATER

  The meta object literal for the '`Custom Updater`' class.

  See Also:
    `CustomUpdaterImpl`, `DatagenPackageImpl.getCustomUpdater()`

### CUSTOM_UPDATER__FILTER_CLASS_FQN

    static final org.eclipse.emf.ecore.EAttribute CUSTOM_UPDATER__FILTER_CLASS_FQN

  The meta object literal for the 'Filter Class FQN' attribute feature.

### CUSTOM_UPDATER__VALUE_CLASS_FQN

    static final org.eclipse.emf.ecore.EAttribute CUSTOM_UPDATER__VALUE_CLASS_FQN

  The meta object literal for the 'Value Class FQN' attribute feature.

### CUSTOM_DELETER

    static final org.eclipse.emf.ecore.EClass CUSTOM_DELETER

  The meta object literal for the '`Custom Deleter`' class.

  See Also:
    `CustomDeleterImpl`, `DatagenPackageImpl.getCustomDeleter()`

### CUSTOM_DELETER__FILTER_CLASS_FQN

    static final org.eclipse.emf.ecore.EAttribute CUSTOM_DELETER__FILTER_CLASS_FQN

  The meta object literal for the 'Filter Class FQN' attribute feature.

### LOOKUP_RESOLVERS

    static final org.eclipse.emf.ecore.EClass LOOKUP_RESOLVERS

  The meta object literal for the '`Lookup Resolvers`' class.

  See Also:
    `LookupResolversImpl`, `DatagenPackageImpl.getLookupResolvers()`

### LOOKUP_RESOLVERS__RESOLVERS

    static final org.eclipse.emf.ecore.EReference LOOKUP_RESOLVERS__RESOLVERS

  The meta object literal for the 'Resolvers' containment reference list feature.

### LOOKUP_RESOLVER

    static final org.eclipse.emf.ecore.EClass LOOKUP_RESOLVER

  The meta object literal for the '`Lookup Resolver`' class.

  See Also:
    `LookupResolverImpl`, `DatagenPackageImpl.getLookupResolver()`

### LOOKUP_RESOLVER__FOREIGN_KEY

    static final org.eclipse.emf.ecore.EReference LOOKUP_RESOLVER__FOREIGN_KEY

  The meta object literal for the 'Foreign Key' reference feature.

### LOOKUP_RESOLVER__SUPPLIER_DAO

    static final org.eclipse.emf.ecore.EReference LOOKUP_RESOLVER__SUPPLIER_DAO

  The meta object literal for the 'Supplier DAO' reference feature.

### LOOKUP_RESOLVER__NAME

    static final org.eclipse.emf.ecore.EAttribute LOOKUP_RESOLVER__NAME

  The meta object literal for the 'Name' attribute feature.

### QUERY_DEF

    static final org.eclipse.emf.ecore.EClass QUERY_DEF

  The meta object literal for the '`Query Def`' class.

  See Also:
    `QueryDefImpl`, `DatagenPackageImpl.getQueryDef()`

### QUERY_DEF__SELECT_CLAUSE

    static final org.eclipse.emf.ecore.EReference QUERY_DEF__SELECT_CLAUSE

  The meta object literal for the 'Select Clause' containment reference feature.

### QUERY_DEF__FROM_CLAUSE

    static final org.eclipse.emf.ecore.EReference QUERY_DEF__FROM_CLAUSE

  The meta object literal for the 'From Clause' containment reference feature.

### QUERY_DEF__JOIN_CLAUSE

    static final org.eclipse.emf.ecore.EReference QUERY_DEF__JOIN_CLAUSE

  The meta object literal for the 'Join Clause' containment reference feature.

### QUERY_DEF__WHERE_CLAUSE

    static final org.eclipse.emf.ecore.EReference QUERY_DEF__WHERE_CLAUSE

  The meta object literal for the 'Where Clause' containment reference feature.

### SELECT_CLAUSE

    static final org.eclipse.emf.ecore.EClass SELECT_CLAUSE

  The meta object literal for the '`Select Clause`' class.

  See Also:
    `SelectClauseImpl`, `DatagenPackageImpl.getSelectClause()`

### SELECT_CLAUSE__COLUMNS

    static final org.eclipse.emf.ecore.EReference SELECT_CLAUSE__COLUMNS

  The meta object literal for the 'Columns' containment reference list feature.

### QRESULT_COLUMN

    static final org.eclipse.emf.ecore.EClass QRESULT_COLUMN

  The meta object literal for the '`QResult Column`' class.

  See Also:
    `QResultColumnImpl`, `DatagenPackageImpl.getQResultColumn()`

### QRESULT_COLUMN__ALIAS

    static final org.eclipse.emf.ecore.EAttribute QRESULT_COLUMN__ALIAS

  The meta object literal for the 'Alias' attribute feature.

### QTABLE_COLUMN

    static final org.eclipse.emf.ecore.EClass QTABLE_COLUMN

  The meta object literal for the '`QTable Column`' class.

  See Also:
    `QTableColumnImpl`, `DatagenPackageImpl.getQTableColumn()`

### QTABLE_COLUMN__QTABLE

    static final org.eclipse.emf.ecore.EReference QTABLE_COLUMN__QTABLE

  The meta object literal for the 'Qtable' reference feature.

### QTABLE_COLUMN__COLUMN

    static final org.eclipse.emf.ecore.EReference QTABLE_COLUMN__COLUMN

  The meta object literal for the 'Column' reference feature.

### QCALCULATED_COLUMN

    static final org.eclipse.emf.ecore.EClass QCALCULATED_COLUMN

  The meta object literal for the '`QCalculated Column`' class.

  See Also:
    `QCalculatedColumnImpl`, `DatagenPackageImpl.getQCalculatedColumn()`

### QCALCULATED_COLUMN__REFERENCED_COLUMNS

    static final org.eclipse.emf.ecore.EReference QCALCULATED_COLUMN__REFERENCED_COLUMNS

  The meta object literal for the 'Referenced Columns' containment reference list feature.

### QCALCULATED_COLUMN__FREE_TEXT_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute QCALCULATED_COLUMN__FREE_TEXT_EXPRESSION

  The meta object literal for the 'Free Text Expression' attribute feature.

### QCALCULATED_COLUMN__CALCULATED_TYPE

    static final org.eclipse.emf.ecore.EReference QCALCULATED_COLUMN__CALCULATED_TYPE

  The meta object literal for the 'Calculated Type' containment reference feature.

### FROM_CLAUSE

    static final org.eclipse.emf.ecore.EClass FROM_CLAUSE

  The meta object literal for the '`From Clause`' class.

  See Also:
    `FromClauseImpl`, `DatagenPackageImpl.getFromClause()`

### FROM_CLAUSE__TABLES

    static final org.eclipse.emf.ecore.EReference FROM_CLAUSE__TABLES

  The meta object literal for the 'Tables' containment reference list feature.

### QTABLE

    static final org.eclipse.emf.ecore.EClass QTABLE

  The meta object literal for the '`QTable`' class.

  See Also:
    `QTableImpl`, `DatagenPackageImpl.getQTable()`

### QTABLE__TABLE

    static final org.eclipse.emf.ecore.EReference QTABLE__TABLE

  The meta object literal for the 'Table' reference feature.

### QTABLE__ALIAS_NAME

    static final org.eclipse.emf.ecore.EAttribute QTABLE__ALIAS_NAME

  The meta object literal for the 'Alias Name' attribute feature.

### JOIN_CLAUSE

    static final org.eclipse.emf.ecore.EClass JOIN_CLAUSE

  The meta object literal for the '`Join Clause`' class.

  See Also:
    `JoinClauseImpl`, `DatagenPackageImpl.getJoinClause()`

### JOIN_CLAUSE__CRITERIA

    static final org.eclipse.emf.ecore.EReference JOIN_CLAUSE__CRITERIA

  The meta object literal for the 'Criteria' containment reference list feature.

### JOIN_CRITERION

    static final org.eclipse.emf.ecore.EClass JOIN_CRITERION

  The meta object literal for the '`Join Criterion`' class.

  See Also:
    `JoinCriterionImpl`, `DatagenPackageImpl.getJoinCriterion()`

### JOIN_CRITERION__LEFT_TABLE

    static final org.eclipse.emf.ecore.EReference JOIN_CRITERION__LEFT_TABLE

  The meta object literal for the 'Left Table' reference feature.

### JOIN_CRITERION__LEFT_COLUMN

    static final org.eclipse.emf.ecore.EReference JOIN_CRITERION__LEFT_COLUMN

  The meta object literal for the 'Left Column' reference feature.

### JOIN_CRITERION__RIGHT_TABLE

    static final org.eclipse.emf.ecore.EReference JOIN_CRITERION__RIGHT_TABLE

  The meta object literal for the 'Right Table' reference feature.

### JOIN_CRITERION__RIGHT_COLUMN

    static final org.eclipse.emf.ecore.EReference JOIN_CRITERION__RIGHT_COLUMN

  The meta object literal for the 'Right Column' reference feature.

### WHERE_CLAUSE

    static final org.eclipse.emf.ecore.EClass WHERE_CLAUSE

  The meta object literal for the '`Where Clause`' class.

  See Also:
    `WhereClauseImpl`, `DatagenPackageImpl.getWhereClause()`

### WHERE_CLAUSE__FREETEXT_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute WHERE_CLAUSE__FREETEXT_EXPRESSION

  The meta object literal for the 'Freetext Expression' attribute feature.

### CACHEABILITY_TYPES

    static final org.eclipse.emf.ecore.EEnum CACHEABILITY_TYPES

  The meta object literal for the '`Cacheability Types`' enum.

  See Also:
    `CacheabilityTypes`, `DatagenPackageImpl.getCacheabilityTypes()`

### FINDERS

    static final org.eclipse.emf.ecore.EClass FINDERS

  The meta object literal for the '`Finders`' class.

  See Also:
    `FindersImpl`, `DatagenPackageImpl.getFinders()`

### FINDERS__FINDERS

    static final org.eclipse.emf.ecore.EReference FINDERS__FINDERS

  The meta object literal for the 'Finders' containment reference list feature.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD